package de.ivu.elect.business.internet.control;

import javax.inject.Inject;

import de.ivu.elect.business.internet.entity.InternetSeite;
import de.ivu.elect.business.wahl.boundary.WahlDAO;

public class InternetSeiteCreate extends AbstractInternetSeiteCreate {

  @Inject
  private transient WahlDAO wahlDAO;

  @Override
  public void save(InternetSeite entity) {
    entity.setWahl(wahlDAO.attach(entity.getWahl()));
    super.save(entity);
  }
}
